Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qdml
Class QDMContentModel

    java.lang.Object
      |
      +--com.jxml.quick.model.qdml.QDMCloneable
            |
            +--com.jxml.quick.model.qdml.QDMContentModel

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  QDMItem, QDMSequence

public abstract class QDMContentModel
extends QDMCloneable

Models the abstract element contentModel in QDML. The contentModel elements form a tree under the elements element, and are used to define the element content of a bean element.

Field Summary
`QDMContentModel` | `content` The QDMContentModel object which models the element named by the cref attribute.
`String` | `cref` Models the cref attribute on contentModel elements.
`QDMCoin` | `enclosingCoin` The name of the enclosing coin.
`protected boolean` | `initialized` Used to prevent multiple initializations.
`String` | `label` Models the label attribute on contentModel elements.
`boolean` | `optional` Models the optional attribute on contentModel elements.
`ArrayList` | `remList` A container for QDMRem objects, which model rem elements.
`boolean` | `repeating` Models the repeating attribute on contentModel elements.

Constructor Summary
`QDMContentModel()`

Method Summary
`void` | `buildMaps(Map coinMap, Map contentMap, QDMCoin coin)` Builds the maps.
`Object` | `clone()` Returns a deep copy of this object, but in an uninitialized form.
`void` | `init(Map coinMap, Map contentMap)` Resolve references, inheritance.
`abstract boolean` | `isContainedBy(String label, TreeMap coinMap)`

Methods inherited from class com.jxml.quick.model.qdml.QDMCloneable
`clone, clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### label

    public String label

  Models the label attribute on contentModel elements. The label attribute gives a name to a contentModel element that can then be referenced by a cref attribute on another contentModel element. The label attribute is optional.

### cref

    public String cref

  Models the cref attribute on contentModel elements. A cref attribute names another contentModel element. By this means the attribute values and element content of one contentModel element are copied to another. The cref attribute is optional.

### optional

    public boolean optional

  Models the optional attribute on contentModel elements. When set to true, the optional attribute indicates that the element content is not required. The optional attribute has a default value of false.

### repeating

    public boolean repeating

  Models the repeating attribute on contentModel elements. When set true, the repeating attribute indicates that the element content can occur more than once. The repeating attribute has a default value of false.

### remList

    public ArrayList remList

  A container for QDMRem objects, which model rem elements. The rem elements are optional and repeating.

### content

    public transient QDMContentModel content

  The QDMContentModel object which models the element named by the cref attribute. This variable is populated when the data model is initialized.

### initialized

    protected transient boolean initialized

  Used to prevent multiple initializations.

### enclosingCoin

    public transient QDMCoin enclosingCoin

  The name of the enclosing coin.

Constructor Detail

### QDMContentModel

    public QDMContentModel()

Method Detail

### clone

    public Object clone()

  Returns a deep copy of this object, but in an uninitialized form.
  Overrides:
    `clone` in class `QDMCloneable`

### buildMaps

    public void buildMaps(Map coinMap,
                          Map contentMap,
                          QDMCoin coin)
                   throws SAXException

  Builds the maps. This method is called during initialization of the data model.

### init

    public void init(Map coinMap,
                     Map contentMap)
              throws SAXException

  Resolve references, inheritance. This method is called during initialization of the data model.

### isContainedBy

    public abstract boolean isContainedBy(String label,
                                          TreeMap coinMap)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD